View Issue Details

IDProjectCategoryView StatusLast Update
0002466OpenFOAMFeaturepublic2017-02-21 14:54
ReporterJacquesAssigned Tohenry 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version14.04
Product Version 
Fixed in Version 
Summary0002466: Failed to run OpenFoam4.1 floatingObject tutorial with sixDOF solver
DescriptionI have a problem running OpenFoam 4.1 on its floatingObject tutorial when trying to run it with dynamicMeshDict replaced by dynamicMeshDict.sixDoF, according to instructions from https://bugs.openfoam.org/view.php?id=2162:

~0006577
henry (manager)
2016-07-28 14:43
In OpenFOAM-4.x the floatingObject case is setup to demonstrate the new n-DoF motion solver. In the constant directory you will see dynamicMeshDict and dynamicMeshDict.sixDoF, if you

mv dynamicMeshDict.sixDoF dynamicMeshDict

then it will run the same setup as OpenFOAM-3.0.x

My Log.interDyMFoam reports:

Selecting sixDoFSolver Newmark
Translational constraint tensor (0 0 0 0 1 0 0 0 0)
Rotational constraint tensor (0 0 0 0 1 0 0 0 0)

--> FOAM FATAL IO ERROR:
wrong token type - expected word, found on line 37 the label 500

Appreciate any help
Steps To Reproduce./Allclean
mv dynamicMeshDict.sixDoF dynamicMeshDict
./Allrun
TagsNo tags attached.

Activities

henry

2017-02-20 18:13

manager   ~0007773

Try OpenFOAM-4.x or OpenFOAM-dev

wyldckat

2017-02-20 23:58

updater   ~0007778

I was curious about this issue... I can confirm that this tutorial case will work just fine with a recent build of OpenFOAM-4.x and OpenFOAM-dev, although I have yet to fully understand what changed in 4.x to make this work.

Anyway, @Jacques: If for whatever reason you cannot build OpenFOAM-4.x or OpenFOAM-dev, see the following commit online, which shows the fix needed for this case and dictionary change to work with OpenFOAM 4.1: https://github.com/OpenFOAM/OpenFOAM-dev/commit/4ac9c54b46dc025bc220ad00538dc998559c9dbc

I ran this case with the "dynamicMeshDict.sixDoF" dictionary and these modifications with OpenFOAM 4.1 from Deb package on Ubuntu 16.04 and the results seemed visually identical to the ones achieved with OpenFOAM-dev.


Nonetheless, if you can, please do upgrade to OpenFOAM-4.x or OpenFOAM-dev:

 - Instructions for building either one from source code: https://openfoam.org/download/source/

 - Instructions for installing OpenFOAM-dev from Deb package, including on the reported Ubuntu 14.04: https://openfoam.org/download/dev-ubuntu/


Please re-open this report if it doesn't work for you. Closing this report as "no change required".

Jacques

2017-02-21 01:24

reporter   ~0007781

I solved the issue by renaming rho on line 37 of the dynamicMeshDict (which is a copy of dynamicMeshDict.sixDoF) and using the new name in the mass calculation formula, line 40.
An explanation might be that the name rho was already defined in prior code.

Note, I already work in OF4.1. I don't need feedback, but my comment might be useful for other users.

henry

2017-02-21 08:17

manager   ~0007782

Already fixed in OpenFOAM-4.x and -dev

Jacques

2017-02-21 14:39

reporter   ~0007785

The identifier clash issue was indeed addressed in the note referred to. However, that fix was not implemented in the tutorial files of my very recent download of OpenFoam4.1.


OpenFOAM-4.x or OpenFOAM-dev, see the following commit online, which shows the fix needed for this case and dictionary change to work with OpenFOAM 4.1: https://github.com/OpenFOAM/OpenFOAM-dev/commit/4ac9c54b46dc025bc220ad00538dc998559c9dbc

wyldckat

2017-02-21 14:53

updater   ~0007786

@Jacques: Just to be certain, please allow me to clarify why we were suggesting that you should upgrade to OpenFOAM-4.x or OpenFOAM-dev:

 - OpenFOAM 4.x is a version available in source code form at a git repository, as explained here: https://openfoam.org/download/source/

 - Which means that 4.x has all of the existing bug fixes that were implemented after the latest stable release, which right now is 4.1.

 - In other words: 4.x has more bug fixes than 4.1.


 - OpenFOAM-dev is available in source code form at a git repository (see previous link) and in Deb package format for Ubuntu 14.04: https://openfoam.org/download/dev-ubuntu/

 - OpenFOAM-dev provides the bleeding edge of the development provided by the OpenFOAM Foundation, which provides both bug fixes and newer features, which will be released in the next major version.

Issue History

Date Modified Username Field Change
2017-02-20 17:41 Jacques New Issue
2017-02-20 18:13 henry Note Added: 0007773
2017-02-20 23:58 wyldckat Note Added: 0007778
2017-02-20 23:59 wyldckat Assigned To => henry
2017-02-20 23:59 wyldckat Status new => closed
2017-02-20 23:59 wyldckat Resolution open => no change required
2017-02-21 01:24 Jacques Status closed => feedback
2017-02-21 01:24 Jacques Resolution no change required => reopened
2017-02-21 01:24 Jacques Note Added: 0007781
2017-02-21 08:17 henry Status feedback => resolved
2017-02-21 08:17 henry Resolution reopened => fixed
2017-02-21 08:17 henry Fixed in Version => 4.x
2017-02-21 08:17 henry Note Added: 0007782
2017-02-21 14:39 Jacques Status resolved => feedback
2017-02-21 14:39 Jacques Resolution fixed => reopened
2017-02-21 14:39 Jacques Note Added: 0007785
2017-02-21 14:53 wyldckat Note Added: 0007786
2017-02-21 14:54 wyldckat Status feedback => resolved
2017-02-21 14:54 wyldckat Resolution reopened => fixed